Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sourceforge.pmd.dcd.graph
Class FieldNode

    java.lang.Object
      net.sourceforge.pmd.dcd.graph.MemberNode<FieldNode,java.lang.reflect.Field>
          net.sourceforge.pmd.dcd.graph.FieldNode

All Implemented Interfaces:
  java.lang.Comparable<FieldNode>, NodeVisitorAcceptor

    public class FieldNode

extends MemberNode<FieldNode,java.lang.reflect.Field>

Represents a Class Field in a UsageGraph.

Field Summary

Fields inherited from class net.sourceforge.pmd.dcd.graph.MemberNode
`classNode, desc, name`

Constructor Summary
`FieldNode(ClassNode classNode, java.lang.String name, java.lang.String desc)`

Method Summary
`int` | `compareTo(FieldNode that)`
`boolean` | `equals(java.lang.Object obj)`
`java.lang.reflect.Field` | `getMember()`

Methods inherited from class net.sourceforge.pmd.dcd.graph.MemberNode
`accept, addUse, addUser, equals, equals, getClassNode, getDesc, getName, getUsers, getUses, hashCode, toString, toStringLong`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### FieldNode

    public FieldNode(ClassNode classNode,
                     java.lang.String name,
                     java.lang.String desc)

Method Detail

### getMember

    public java.lang.reflect.Field getMember()

  Specified by:
    `getMember` in class `MemberNode<FieldNode,java.lang.reflect.Field>`

### compareTo

    public int compareTo(FieldNode that)

### equals

    public boolean equals(java.lang.Object obj)

  Specified by:
    `equals` in class `MemberNode<FieldNode,java.lang.reflect.Field>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2009 InfoEther. All Rights Reserved.